Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.verisign.epp.codec.idntable
Enum EPPIdnTableInfoResp.Form

    java.lang.Object
      java.lang.Enum<EPPIdnTableInfoResp.Form>
          com.verisign.epp.codec.idntable.EPPIdnTableInfoResp.Form

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EPPIdnTableInfoResp.Form>

Enclosing class:
  EPPIdnTableInfoResp

    public static enum EPPIdnTableInfoResp.Form

extends java.lang.Enum<EPPIdnTableInfoResp.Form>

Check form types, that include:

- `DOMAIN_FORM` that represents the "Domain Info Form".
- `TABLE_FORM` that represents the "Table Info Form".
- `LIST_FORM` that represents the "List Info Form".

Enum Constant Summary
`DOMAIN_FORM`
`LIST_FORM`
`TABLE_FORM`

Method Summary
`static EPPIdnTableInfoResp.Form` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EPPIdnTableInfoResp.Form[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOMAIN_FORM

    public static final EPPIdnTableInfoResp.Form DOMAIN_FORM

### TABLE_FORM

    public static final EPPIdnTableInfoResp.Form TABLE_FORM

### LIST_FORM

    public static final EPPIdnTableInfoResp.Form LIST_FORM

Method Detail

### values

    public static EPPIdnTableInfoResp.Form[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EPPIdnTableInfoResp.Form c : EPPIdnTableInfoResp.Form.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EPPIdnTableInfoResp.Form valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © VeriSign Inc. All Rights Reserved.